Subject: bug#28631: 25.3.50; Deactivate mark with Ctrl-g mess up the primary-selection

From: Noam Postavsky <[email-masked]>
Date: Fri, 13 Oct 2017 22:09:49 -0400

Tino Calancha <[email-masked]> writes:

> On Fri, 13 Oct 2017, Noam Postavsky wrote:
>
>>> Is there really no way to solve this in winner?  It seems like a
>>> winner bug/misfeature, and I'm worried by the possible effect of this
>>> patch on use cases that have nothing to do with the specific scenario
>>> of this bug.  deactivate-mark is used a lot in places and ways we
>>> cannot possibly predict.
>>
>> That patch only has affect during winner-undo, no?
> I think so.

Actually, I thought about it a bit more, and realized it could also
affect things like post-command hooks that are run after winner-undo.

>> Maybe only the (setf (winner-active-region) (cdr entry)) part should be
>> skipped?
> We need to ban
> (set-mark (car entry))
> as well, because it updates the primary selection.

Ah, okay.

> I assume if someone have set select-enable-primary, then she
> probably doesn't want winner-undo to change her selection.

Seems reasonable.